View Issue Details

IDProjectCategoryView StatusLast Update
0012800ScribusImport / Exportpublic2017-04-19 12:06
Reporternkdawe Assigned To 
PriorityhighSeveritytextReproducibilityalways
Status confirmedResolutionopen 
PlatformWindowsOS7OS Version
Product Version1.4.4 
Target VersionFuture Release - Nice to haveFixed in Version 
Summary0012800: Loss of italics formatting after importing *.odt files and applying paragraph styles
DescriptionThis is a problem a number of others have mentioned but, to date, no easy fix.
Often in using Scribus,an article written by an author is sent to a newsletter or journal for publication and the article has formatted text, such as italicized or bold text. When such a *.odt formatted file is imported to Scribus, the production editor needs to format the article for the journal and usually does so using styles. Although the article is imported to Scribus with characters (words) accurately formatted as the author intended, this formatting is lost when a Paragraph Style is applied. To date, the only solution I've found, is to go through the manuscript and manually change all the formatted text to a Character Style BEFORE applying the Paragraph Style. This is a ridiculous waste of time when Scribus should be easily able to efficiently look after this simple and common occurrence and need.
Steps To ReproduceImport a character formatted (italics, bold) *.odt file into Scribus using File type: Opendocument text documents (*.odt), Importer: Automatic, Encoding: UTF-8.
Apply paragraph style; all character formatting is lost.

(See Screencast)

[EDITed by JLuc] The issue seems not to be related to ODT import but to the behaviour when changing paragraph styles. It is not consistent accros UI.
- when in wysiwyg edit mode, it delete all character styles
- when in story edit mode, it deletes all character styles when using the paragraph style SELECTs in the left column
- when in story edit mode, it DOES NOT delete any character styles when using the paragraph style SELECTs in the horizontal top toolbar
PS ! Not sure whether characters styles are using named styles or inline formating.
[End of edit]
Additional InformationIt seems this would be an easy fix. One way to solve the problem might be to allow the user to omit the Character Style from the Paragraph Style so when the Paragraph Style is applied it doesn't apply a Character Style as well, rather it leaves what style is already there.

Perhaps an easier way would be to modify the Search and Replace function to allow a Search for formatted words and Replace the formatting with a particular Character Style; then apply the Paragraph Style. Currently the Search and Replace function only finds the first instance of formatting (e.g., italics), that is, the first italicized letter, rather than an entire italicized word. And you can only Replace with a Paragraph Style, not a Character Style.

Or???
Tagsusability
PatchNo

Relationships

related to 0008772 new Applying style by Properties/Text/Styles clear text attributes 

Activities

christoph_s

2014-11-01 21:13

administrator   ~0034185

Could you upload a sample file, please?

nkdawe

2014-11-01 21:38

reporter  

testnkd.odt (36,365 bytes)

nkdawe

2014-11-01 21:39

reporter   ~0034186

Sample file uploaded.

Kunda

2015-03-10 20:47

manager   ~0034675

Not sure but this seemed fixed on 1.5svn. Can someone please test

nkdawe

2015-03-10 23:51

reporter   ~0034677

Yes, I discovered that this is fixed but only if you do all the formatting within the Story Editor. It's when you add a new paragraph style while working in a text box that the character formatting is lost. So work in the Story Editor when formatting your document.

Kunda

2015-03-11 01:44

manager   ~0034679

nkdawe, can you make a screencast and share ?

nkdawe

2015-03-11 18:36

reporter  

Scribus.mp4 (4,070,805 bytes)

nkdawe

2015-03-11 18:38

reporter   ~0034683

I've added a screencast to demonstrate how to import a file from LibreOffice and maintain the formatting (e.g., bold, italics) when changing the paragraph style in Scribus.

Kunda

2015-03-13 15:32

manager   ~0034690

Can confirm on osx 10.9.5 1.5svn r19912 Qt5.4.1
Thanks nkdawe

Kunda

2016-01-08 17:25

manager   ~0038045

Last edited: 2016-01-08 19:50

View 4 revisions

nkdawe, can you test the latest revision r20670. I've uploaded a screenshot.

Edit: No, my apologies. The issue of changing formatting after import is still there.

nkdawe

2016-01-08 18:37

reporter   ~0038048

Kunda, I've noted another quirk associated with this problem. Importing a *.odt file into Scribus (Scribus Version 1.5.0svn 19 May 2015 Build ID: C-*-T-*-C1.12.18-Windows-64bit) brings the file in with all the character formatting intact. As I've shown previously, if you want to retain the character formatting when applying a new paragraph style, it must be done in the Story Editor. However, the changes CANNOT be done by using the style formatting boxes on the left side of the Story Editor, where it shows the current formatting for each paragraph. If a style change is made there for a particular paragraph, the formatting (e.g. bold, italics) is lost. The only way to maintain the formatting is to use the "Style of current paragraph" pull-down menu at the top (see uploaded image).

nkdawe

2016-01-08 18:37

reporter  

StoryEditor.png (160,902 bytes)
StoryEditor.png (160,902 bytes)

Kunda

2016-01-28 02:39

manager   ~0038475

Devs, what do you suggest users to do for this scenario ?

JLuc

2017-04-19 12:05

developer   ~0043811

To sum it up the issue seems not to be related to ODT import but to the behaviour when changing paragraph styles. It is not consistent accros UI.
- when in wysiwyg edit mode, it delete all character styles
- when in story edit mode, it deletes all character styles when using the paragraph style SELECTs in the left column
- when in story edit mode, it DOES NOT delete any character styles when using the paragraph style SELECTs in the horizontal top toolbar
PS ! Not sure whether characters styles are using named styles or inline formating.

Issue History

Date Modified Username Field Change
2014-10-31 20:53 nkdawe New Issue
2014-11-01 21:13 christoph_s Note Added: 0034185
2014-11-01 21:38 nkdawe File Added: testnkd.odt
2014-11-01 21:39 nkdawe Note Added: 0034186
2015-03-10 20:47 Kunda Note Added: 0034675
2015-03-10 23:51 nkdawe Note Added: 0034677
2015-03-11 01:44 Kunda Note Added: 0034679
2015-03-11 18:36 nkdawe File Added: Scribus.mp4
2015-03-11 18:38 nkdawe Note Added: 0034683
2015-03-13 15:32 Kunda Note Added: 0034690
2015-03-14 06:49 christoph_s Status new => confirmed
2016-01-08 17:25 Kunda Note Added: 0038045
2016-01-08 17:25 Kunda File Added: Screenshot 2016-01-08 11.26.06.png
2016-01-08 17:31 Kunda Note Edited: 0038045 View Revisions
2016-01-08 17:32 Kunda File Deleted: Screenshot 2016-01-08 11.26.06.png
2016-01-08 17:32 Kunda Note Edited: 0038045 View Revisions
2016-01-08 17:32 Kunda Tag Attached: MABs
2016-01-08 17:33 Kunda Target Version => Future Release - Nice to have
2016-01-08 18:37 nkdawe Note Added: 0038048
2016-01-08 18:37 nkdawe File Added: StoryEditor.png
2016-01-08 19:50 Kunda Note Edited: 0038045 View Revisions
2016-01-08 19:53 Kunda Steps to Reproduce Updated View Revisions
2016-01-28 02:39 Kunda Note Added: 0038475
2016-01-28 02:51 Kunda Relationship added related to 0008772
2017-04-19 12:05 JLuc Steps to Reproduce Updated View Revisions
2017-04-19 12:05 JLuc Additional Information Updated View Revisions
2017-04-19 12:05 JLuc Note Added: 0043811
2017-04-19 12:06 JLuc Steps to Reproduce Updated View Revisions
2017-04-19 12:06 JLuc Tag Detached: MABs
2017-04-19 12:06 JLuc Tag Attached: usability